NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::CAE::SolidPropertyCheckBuilder Class Reference

Represents a NXOpen::CAE::SolidPropertyCheckBuilder
To create a new instance of this class, use NXOpen::CAE::ModelCheckManager::CreateSolidPropertyCheckBuilder

Created in NX5.0.1. More...

Inheritance diagram for NXOpen::CAE::SolidPropertyCheckBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CoupledSolutionOutput { CoupledSolutionOutputStructural, CoupledSolutionOutputThermal }
 Coupled Solution output option. More...
 
enum  UserUnit { UserUnitDefaultUnit, UserUnitKgMilli, UserUnitLbmIn, UserUnitLbfInSec }
 User Specified output unit. More...
 
enum  ValueRequest {
  ValueRequestVolume, ValueRequestTotalMass, ValueRequestStructuralMass, ValueRequestNonStructuralMass,
  ValueRequestSurfaceArea, ValueRequestTotalMassThermalCapacitance, ValueRequestStructuralMassThermalCapacitance, ValueRequestNonStructuralMassThermalCapacitance,
  ValueRequestLength
}
 Solid property value request type. More...
 

Public Member Functions

NXOpen::CAE::SolidPropertyCheckBuilder::CoupledSolutionOutput CoupledSolutionOption ()
 Returns the coupled solution output option
Created in NX10.0.1. More...
 
bool DefaultTemperatureOption ()
 Returns the output mass split option option
Created in NX5.0.1. More...
 
bool DisplayCgOption ()
 Returns the output mass split option option
Created in NX5.0.1. More...
 
NXOpen::CAE::SelectElementsBuilderElements ()
 Returns the selected elements
Created in NX6.0.0. More...
 
NXOpen::ExpressionEvaluationTemparature ()
 Returns the output temperature option in C
Created in NX5.0.1. More...
 
NXOpen::Vector3d GetCenterOfGravity (NXOpen::Unit **cgUnit)
 The center of gravity
Created in NX12.0.1. More...
 
NXOpen::Matrix3x3 GetCenterOfGravityMomentOfInertia (NXOpen::Unit **mmoiUnit)
 The center of gravity moment of inertia
Created in NX12.0.1. More...
 
NXOpen::Matrix3x3 GetGlobalMomentOfInertia (NXOpen::Unit **mmoiUnit)
 The global moment of inertia
Created in NX12.0.1. More...
 
NXOpen::Matrix3x3 GetPrincipalAxes ()
 The principal axes
Created in NX12.0.1. More...
 
NXOpen::Matrix3x3 GetPrincipalMomentOfInertia (NXOpen::Unit **mmoiUnit)
 The principal moment of inertia
Created in NX12.0.1. More...
 
NXOpen::Matrix3x3 GetReferenceCsysMomentOfInertia (NXOpen::Unit **mmoiUnit)
 The reference csys moment of inertia
Created in NX12.0.1. More...
 
void GetSolidPropertyValues (const std::vector< NXOpen::CAE::SolidPropertyCheckBuilder::ValueRequest > &valueTypes, std::vector< NXOpen::Unit * > &valueUnits, std::vector< double > &values)
 The solid property values
Created in NX12.0.1. More...
 
NXOpen::TaggedObjectGroupObject ()
 Returns the group object
Created in NX12.0.1. More...
 
bool GroupOption ()
 Returns the group option
Created in NX12.0.1. More...
 
NXOpen::CAE::MeshMeshObject ()
 Returns the mesh object
Created in NX12.0.1. More...
 
bool MeshOption ()
 Returns the mesh option
Created in NX12.0.1. More...
 
bool OutputOption ()
 Returns the detail output option
Created in NX6.0.0. More...
 
NXOpen::CoordinateSystemReferenceCsys ()
 Returns the reference csys
Created in NX5.0.1. More...
 
void SetCoupledSolutionOption (NXOpen::CAE::SolidPropertyCheckBuilder::CoupledSolutionOutput coupledSolutionOpt)
 Sets the coupled solution output option
Created in NX10.0.1. More...
 
void SetDefaultTemperatureOption (bool defaultTemperatureOption)
 Sets the output mass split option option
Created in NX5.0.1. More...
 
void SetDisplayCgOption (bool displayCG)
 Sets the output mass split option option
Created in NX5.0.1. More...
 
void SetElementsForValueRequest (const std::vector< NXOpen::CAE::FEElement * > &elements)
 The elements to be applied for value request
Created in NX12.0.1. More...
 
void SetGroupObject (NXOpen::TaggedObject *groupObj)
 Sets the group object
Created in NX12.0.1. More...
 
void SetGroupOption (bool groupOpt)
 Sets the group option
Created in NX12.0.1. More...
 
void SetMeshObject (NXOpen::CAE::Mesh *meshObj)
 Sets the mesh object
Created in NX12.0.1. More...
 
void SetMeshOption (bool meshOpt)
 Sets the mesh option
Created in NX12.0.1. More...
 
void SetOutputOption (bool outputOpt)
 Sets the detail output option
Created in NX6.0.0. More...
 
void SetReferenceCsys (NXOpen::CoordinateSystem *referenceCsys)
 Sets the reference csys
Created in NX5.0.1. More...
 
void SetSplitMass (bool splitMass)
 Sets the output mass split option option
Created in NX5.0.1. More...
 
void SetUserSpecifiedUnit (NXOpen::CAE::SolidPropertyCheckBuilder::UserUnit userSpecifiedUnit)
 Sets the output result unit
Created in NX5.0.1. More...
 
void SetValueRequestOption (bool valReqOpt)
 Sets the value request option
Created in NX12.0.1. More...
 
bool SplitMass ()
 Returns the output mass split option option
Created in NX5.0.1. More...
 
NXOpen::CAE::SolidPropertyCheckBuilder::UserUnit UserSpecifiedUnit ()
 Returns the output result unit
Created in NX5.0.1. More...
 
bool ValueRequestOption ()
 Returns the value request option
Created in NX12.0.1. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::SolidPropertyCheckBuilder
To create a new instance of this class, use NXOpen::CAE::ModelCheckManager::CreateSolidPropertyCheckBuilder

Created in NX5.0.1.


Member Enumeration Documentation

Coupled Solution output option.

Enumerator
CoupledSolutionOutputStructural 

structural results

CoupledSolutionOutputThermal 

thermal results

User Specified output unit.

Enumerator
UserUnitDefaultUnit 

Load unit = same as system default unit.

UserUnitKgMilli 

mass = kg, cg = mm, volume = mm^3 mmoi = kg-mm^2

UserUnitLbmIn 

mass = lbm, cg = in, volume = in^3 mmoi = lbm-in^2

UserUnitLbfInSec 

mass = lbf-sec^2/in, cg = in, volume = in^3 mmoi = lbf-in-sec^2

Solid property value request type.

Enumerator
ValueRequestVolume 

volume

ValueRequestTotalMass 

total mass

ValueRequestStructuralMass 

structural mass

ValueRequestNonStructuralMass 

non-structural mass

ValueRequestSurfaceArea 

surface area

ValueRequestTotalMassThermalCapacitance 

total mass thermal capacitance

ValueRequestStructuralMassThermalCapacitance 

structural mass thermal capacitance

ValueRequestNonStructuralMassThermalCapacitance 

non-structural mass thermal capacitance

ValueRequestLength 

length

Member Function Documentation

NXOpen::CAE::SolidPropertyCheckBuilder::CoupledSolutionOutput NXOpen::CAE::SolidPropertyCheckBuilder::CoupledSolutionOption ( )

Returns the coupled solution output option
Created in NX10.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

bool NXOpen::CAE::SolidPropertyCheckBuilder::DefaultTemperatureOption ( )

Returns the output mass split option option
Created in NX5.0.1.



License requirements : None

bool NXOpen::CAE::SolidPropertyCheckBuilder::DisplayCgOption ( )

Returns the output mass split option option
Created in NX5.0.1.



License requirements : None

NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::SolidPropertyCheckBuilder::Elements ( )

Returns the selected elements
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::CAE::SolidPropertyCheckBuilder::EvaluationTemparature ( )

Returns the output temperature option in C
Created in NX5.0.1.



License requirements : None

NXOpen::Vector3d NXOpen::CAE::SolidPropertyCheckBuilder::GetCenterOfGravity ( NXOpen::Unit **  cgUnit)

The center of gravity
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
cgUnitcgunit
NXOpen::Matrix3x3 NXOpen::CAE::SolidPropertyCheckBuilder::GetCenterOfGravityMomentOfInertia ( NXOpen::Unit **  mmoiUnit)

The center of gravity moment of inertia
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
mmoiUnitmmoiunit
NXOpen::Matrix3x3 NXOpen::CAE::SolidPropertyCheckBuilder::GetGlobalMomentOfInertia ( NXOpen::Unit **  mmoiUnit)

The global moment of inertia
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
mmoiUnitmmoiunit
NXOpen::Matrix3x3 NXOpen::CAE::SolidPropertyCheckBuilder::GetPrincipalAxes ( )

The principal axes
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Matrix3x3 NXOpen::CAE::SolidPropertyCheckBuilder::GetPrincipalMomentOfInertia ( NXOpen::Unit **  mmoiUnit)

The principal moment of inertia
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
mmoiUnitmmoiunit
NXOpen::Matrix3x3 NXOpen::CAE::SolidPropertyCheckBuilder::GetReferenceCsysMomentOfInertia ( NXOpen::Unit **  mmoiUnit)

The reference csys moment of inertia
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
mmoiUnitmmoiunit
void NXOpen::CAE::SolidPropertyCheckBuilder::GetSolidPropertyValues ( const std::vector< NXOpen::CAE::SolidPropertyCheckBuilder::ValueRequest > &  valueTypes,
std::vector< NXOpen::Unit * > &  valueUnits,
std::vector< double > &  values 
)

The solid property values
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
valueTypesvaluetypes
valueUnitsvalueunits
valuesvalues
NXOpen::TaggedObject* NXOpen::CAE::SolidPropertyCheckBuilder::GroupObject ( )

Returns the group object
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

bool NXOpen::CAE::SolidPropertyCheckBuilder::GroupOption ( )

Returns the group option
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::Mesh* NXOpen::CAE::SolidPropertyCheckBuilder::MeshObject ( )

Returns the mesh object
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

bool NXOpen::CAE::SolidPropertyCheckBuilder::MeshOption ( )

Returns the mesh option
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

bool NXOpen::CAE::SolidPropertyCheckBuilder::OutputOption ( )

Returns the detail output option
Created in NX6.0.0.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::CAE::SolidPropertyCheckBuilder::ReferenceCsys ( )

Returns the reference csys
Created in NX5.0.1.



License requirements : None

void NXOpen::CAE::SolidPropertyCheckBuilder::SetCoupledSolutionOption ( NXOpen::CAE::SolidPropertyCheckBuilder::CoupledSolutionOutput  coupledSolutionOpt)

Sets the coupled solution output option
Created in NX10.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
coupledSolutionOptcoupledsolutionopt
void NXOpen::CAE::SolidPropertyCheckBuilder::SetDefaultTemperatureOption ( bool  defaultTemperatureOption)

Sets the output mass split option option
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
defaultTemperatureOptiondefaulttemperatureoption
void NXOpen::CAE::SolidPropertyCheckBuilder::SetDisplayCgOption ( bool  displayCG)

Sets the output mass split option option
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
displayCGdisplaycg
void NXOpen::CAE::SolidPropertyCheckBuilder::SetElementsForValueRequest ( const std::vector< NXOpen::CAE::FEElement * > &  elements)

The elements to be applied for value request
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
elementselements
void NXOpen::CAE::SolidPropertyCheckBuilder::SetGroupObject ( NXOpen::TaggedObject groupObj)

Sets the group object
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
groupObjgroupobj
void NXOpen::CAE::SolidPropertyCheckBuilder::SetGroupOption ( bool  groupOpt)

Sets the group option
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
groupOptgroupopt
void NXOpen::CAE::SolidPropertyCheckBuilder::SetMeshObject ( NXOpen::CAE::Mesh meshObj)

Sets the mesh object
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshObjmeshobj
void NXOpen::CAE::SolidPropertyCheckBuilder::SetMeshOption ( bool  meshOpt)

Sets the mesh option
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshOptmeshopt
void NXOpen::CAE::SolidPropertyCheckBuilder::SetOutputOption ( bool  outputOpt)

Sets the detail output option
Created in NX6.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
outputOptoutputopt
void NXOpen::CAE::SolidPropertyCheckBuilder::SetReferenceCsys ( NXOpen::CoordinateSystem referenceCsys)

Sets the reference csys
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
referenceCsysreferencecsys
void NXOpen::CAE::SolidPropertyCheckBuilder::SetSplitMass ( bool  splitMass)

Sets the output mass split option option
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
splitMasssplitmass
void NXOpen::CAE::SolidPropertyCheckBuilder::SetUserSpecifiedUnit ( NXOpen::CAE::SolidPropertyCheckBuilder::UserUnit  userSpecifiedUnit)

Sets the output result unit
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
userSpecifiedUnituserspecifiedunit
void NXOpen::CAE::SolidPropertyCheckBuilder::SetValueRequestOption ( bool  valReqOpt)

Sets the value request option
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
valReqOptvalreqopt
bool NXOpen::CAE::SolidPropertyCheckBuilder::SplitMass ( )

Returns the output mass split option option
Created in NX5.0.1.



License requirements : None

NXOpen::CAE::SolidPropertyCheckBuilder::UserUnit NXOpen::CAE::SolidPropertyCheckBuilder::UserSpecifiedUnit ( )

Returns the output result unit
Created in NX5.0.1.



License requirements : None

bool NXOpen::CAE::SolidPropertyCheckBuilder::ValueRequestOption ( )

Returns the value request option
Created in NX12.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.